# Class PropertiesBasedPrefixResolver

PrefixResolverDefault
org.apache.jmeter.util.PropertiesBasedPrefixResolver

public class PropertiesBasedPrefixResolver extends PrefixResolverDefault
invalid reference

    PrefixResolver

implementation that loads prefix configuration from jmeter property xpath.namespace.config

## Constructor Summary

Constructors
Constructor
Description
`PropertiesBasedPrefixResolver(Node xpathExpressionContext)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespaceForPrefix(String prefix, Node namespaceContext)`
Searches prefix in NAMESPACE_MAP, if it fails to find it defaults to parent implementation

## Constructor Details

### PropertiesBasedPrefixResolver

public PropertiesBasedPrefixResolver(Node xpathExpressionContext)

Parameters:
  `xpathExpressionContext` - Node

## Method Details

### getNamespaceForPrefix

public String getNamespaceForPrefix(String prefix, Node namespaceContext)
Searches prefix in NAMESPACE_MAP, if it fails to find it defaults to parent implementation

Parameters:
  `prefix` - Prefix
  `namespaceContext` - Node